## kf6-kirigami 6.19.0+p24.04+vstable+git20251028.0801

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.20.0") # handled by release scripts
set(KF_DEP_VERSION "6.19.0") # handled by release scripts

project(kirigami2 VERSION ${KF_VERSION})

set(REQUIRED_QT_VERSION 6.8.0)

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "kirigami requires an out of source build. Please create a separate build directory and run 'cmake path_to_kirigami [options]' there.")
endif()

option(BUILD_SHARED_LIBS "Build a shared module" ON)
option(DESKTOP_ENABLED "Build and install The Desktop style" ON)
option(BUILD_EXAMPLES "Build and install examples" OFF)
option(UBUNTU_TOUCH "Build for Ubuntu Touch" OFF)
if(DEFINED STATIC_LIBRARY)
    message(FATAL_ERROR "Use the BUILD_SHARED_LIBS=OFF option to build a static library, STATIC_LIBRARY is no longer a supported option")
endif()
find_package(ECM 6.19.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

if (NOT ${BUILD_SHARED_LIBS})
    # Examples are not supported when building a static library, so force them
    # to OFF.
    set(BUILD_EXAMPLES OFF)
endif()

include(FeatureSummary)
include(KDEInstallDirs)
find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg QuickControls2 Concurrent ShaderTools)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

if (BUILD_TESTING)
    find_package(Qt6QuickTest ${REQUIRED_QT_VERSION} CONFIG QUIET)
endif()
get_target_property(QtGui_Enabled_Features Qt6::Gui QT_ENABLED_PUBLIC_FEATURES)
if(QtGui_Enabled_Features MATCHES "opengl")
    set(HAVE_QTGUI_OPENGL 1)
else()
    set(HAVE_QTGUI_OPENGL 0)
endif()
add_feature_info(QtGuiOpenGL HAVE_QTGUI_OPENGL "QtGui built with support for OpenGL")
set(CMAKE_AUTOMOC ON)
set(AUTOMOC_MOC_OPTIONS -Muri=org.kde.kirigami)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

if(NOT BUILD_SHARED_LIBS)
    add_definitions(-DKIRIGAMI_BUILD_TYPE_STATIC)
    add_definitions(-DQT_PLUGIN)
    add_definitions(-DQT_STATICPLUGIN=1)
endif()

################# set KDE specific information #################
# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMPoQmTools)
include(ECMFindQmlModule)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEPackageAppTemplates)
include(ECMQmlModule)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Kirigami")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KIRIGAMI
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kirigami_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiConfigVersion.cmake"
    SOVERSION 6
)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KIRIGAMI
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6Kirigami2ConfigVersion.cmake"
    SOVERSION 6
)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    set(WITH_DBUS ON)
    add_definitions(-DKIRIGAMI_ENABLE_DBUS)
endif()

find_package(OpenMP)
set_package_properties(OpenMP
    PROPERTIES DESCRIPTION "Multi-platform shared-memory parallel programming in C/C++ and Fortran"
    TYPE OPTIONAL
    PURPOSE "Accelerates palette generation in Kirigami.ImageColors"
)
if(OpenMP_CXX_FOUND)
    set(HAVE_OpenMP TRUE)
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
endif()

include_directories("${CMAKE_CURRENT_BINARY_DIR}")
configure_file(config-OpenMP.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-OpenMP.h)

if (UBUNTU_TOUCH)
    add_definitions(-DUBUNTU_TOUCH)
endif()

ecm_set_disabled_deprecation_versions(
    QT 6.2
    KF 6.18.0
)

if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    # link time optimization has been observed to break colors. Force-disable it.
    # Before undoing this make double sure the lockscreen
    # and logout screen are correctly colored in light/dark mode!
    add_compile_options("-fno-lto")
endif()

add_subdirectory(src)
if (NOT ANDROID)
    add_subdirectory(templates)
endif()

if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

configure_package_config_file(
    "KF6KirigamiConfig.cmake.in"
    "KF6KirigamiConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS CMAKE_INSTALL_PREFIX
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiConfigVersion.cmake"
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6KirigamiMacros.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

configure_package_config_file(
    "KF6Kirigami2Config.cmake.in"
    "KF6Kirigami2Config.cmake"
    INSTALL_DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Kirigami2"
    PATH_VARS CMAKE_INSTALL_PREFIX
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/KF6Kirigami2Config.cmake
    "${CMAKE_CURRENT_BINARY_DIR}/KF6Kirigami2ConfigVersion.cmake"
    DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Kirigami2
    COMPONENT Devel
)

ecm_install_po_files_as_qm(poqm)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

configure_file(qmllint.ini.in ${CMAKE_SOURCE_DIR}/.qmllint.ini)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kirigami (6.19.0+p24.04+vstable+git20251028.0801-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 08:01:14 +0000

=== debian/control ===
Source: kf6-kirigami
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-breeze-icon-theme,
               kf6-extra-cmake-modules,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-shadertools-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://cgit.kde.org/kirigami.git/
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kirigami.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kirigami
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kirigami
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kdeclarative,
         kf6-kitemmodels,
         qt6-5compat,
         qt6-declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kf6-kirigami2 (<< 6)
Replaces: kf6-kirigami2,
          libkf6kirigami2-6,
          libkf6kirigami2-data,
          libkf6kirigami2-doc,
          libkirigami-data,
          libkirigami6,
          libkirigamidelegates6,
          libkirigamidialogs6,
          libkirigamilayouts6,
          libkirigamiplatform6,
          libkirigamiprimitives6,
          libkirigamiprivate6,
          qml6-module-org-kde-kirigami,
          qml6-module-org-kde-kirigami2
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the library.

Package: kf6-kirigami-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kirigami (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         qt6-shadertools-dev,
         qt6-svg-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: kf6-kirigami2-dev,
          libkf6kirigami2-dev,
          libkirigami-dev,
          libkirigami-doc
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the development files.

Package: libkf6kirigami2-6
Architecture: all
Depends: kf6-kirigami, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kirigami2-data
Architecture: all
Depends: kf6-kirigami, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kirigami2-dev
Architecture: all
Depends: kf6-kirigami-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkirigami-data
Architecture: all
Depends: kf6-kirigami, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkirigami-dev
Architecture: all
Depends: kf6-kirigami-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkirigami-doc
Architecture: all
Depends: kf6-kirigami-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkirigami6
Architecture: all
Depends: kf6-kirigami, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkirigamidelegates6
Architecture: all
Depends: kf6-kirigami, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkirigamidialogs6
Architecture: all
Depends: kf6-kirigami, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkirigamilayouts6
Architecture: all
Depends: kf6-kirigami, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkirigamiplatform6
Architecture: all
Depends: kf6-kirigami, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkirigamiprimitives6
Architecture: all
Depends: kf6-kirigami, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkirigamiprivate6
Architecture: all
Depends: kf6-kirigami, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-kirigami2
Architecture: all
Depends: kf6-kirigami, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-kirigami2-dev
Architecture: all
Depends: kf6-kirigami-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigami
Architecture: all
Depends: kf6-kirigami, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kirigami2
Architecture: all
Depends: kf6-kirigami, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export KDE_DOCS=/usr/share/qt6/doc/kde-qdoc-common-dev

%:
	dh $@ --with kf6 --buildsystem kf6


override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUILD_EXAMPLES=ON

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- prepare_docs
	dh_auto_build -- generate_docs
	dh_auto_build -- generate_qch

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -- install_html_docs
	dh_auto_install -- install_qch_docs

## kf6-kirigami 6.19.0+p24.04+vstable+git20251030.0347

=== debian/changelog ===
kf6-kirigami (6.19.0+p24.04+vstable+git20251030.0347-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 03:47:35 +0000

## kf6-kirigami 6.19.0+p24.04+vunstable+git20251020.0221

=== debian/changelog ===
kf6-kirigami (6.19.0+p24.04+vunstable+git20251020.0221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:21:12 +0000

## kf6-kirigami 6.19.0+p24.04+vunstable+git20251022.0040

=== debian/changelog ===
kf6-kirigami (6.19.0+p24.04+vunstable+git20251022.0040-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:40:58 +0000

## kf6-kirigami 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 
 project(kirigami2 VERSION ${KF_VERSION})
 
@@ -20,7 +20,7 @@
 if(DEFINED STATIC_LIBRARY)
     message(FATAL_ERROR "Use the BUILD_SHARED_LIBS=OFF option to build a static library, STATIC_LIBRARY is no longer a supported option")
 endif()
-find_package(ECM 6.19.0 REQUIRED NO_MODULE)
+find_package(ECM 6.20.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 if (NOT ${BUILD_SHARED_LIBS})
@@ -125,7 +125,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.2
-    KF 6.18.0
+    KF 6.19.0
 )
 
 if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")

=== examples/staticcmake/3rdparty/CMakeLists.txt ===
set(BUILD_SHARED_LIBS 0)
 
add_subdirectory(kirigami)

=== debian/changelog ===
kf6-kirigami (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.20.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:12:44 +0100

=== debian/control ===
Source: kf6-kirigami
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-shadertools-dev (>= 6.8.0~),
               qt6-svg-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kirigami
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kirigami
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kirigami.git
Rules-Requires-Root: no

Package: libkirigami-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the data files.

Package: libkirigami-dev
Section: libdevel
Architecture: any
Depends: libkirigami6 (= ${binary:Version}),
         libkirigamidelegates6 (= ${binary:Version}),
         libkirigamidialogs6 (= ${binary:Version}),
         libkirigamilayouts6 (= ${binary:Version}),
         libkirigamilayoutsprivate6 (= ${binary:Version}),
         libkirigamiplatform6 (= ${binary:Version}),
         libkirigamipolyfill6 (= ${binary:Version}),
         libkirigamiprimitives6 (= ${binary:Version}),
         libkirigamiprivate6 (= ${binary:Version}),
         libkirigamitemplates6 (= ${binary:Version}),
         qml6-module-org-kde-kirigami (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         qt6-declarative-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkirigami-doc (>= ${source:Version}),
Description: set of QtQuick components targeted for mobile use (development)
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the development files.

Package: libkirigami-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: set of QtQuick components targeted for mobile use (documentation)
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the qch documentation files.

Package: libkirigami6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the kirigami core library.

Package: libkirigamidelegates6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the kirigami delegates library.

Package: libkirigamidialogs6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the kirigami dialogs library.

Package: libkirigamilayouts6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the kirigami layouts library.

Package: libkirigamilayoutsprivate6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the kirigami layouts private library.

Package: libkirigamiplatform6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the kirigami platform library.

Package: libkirigamipolyfill6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the kirigami polyfill library.

Package: libkirigamiprimitives6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the kirigami primitives library.

Package: libkirigamiprivate6
Architecture: any
Multi-Arch: same
Depends: libkirigami-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma

## kf6-kirigami 6.20.0+p24.04+vunstable+git20251204.0123

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 
 project(kirigami2 VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kirigami (6.20.0+p24.04+vunstable+git20251204.0123-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:23:12 +0000

kf6-kirigami (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:49 +1000

## kf6-kirigami 6.20.0+p24.04+vunstable+git20251206.0303

=== debian/changelog ===
kf6-kirigami (6.20.0+p24.04+vunstable+git20251206.0303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:03:53 +0000

## kf6-kirigami 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 
 project(kirigami2 VERSION ${KF_VERSION})
 
@@ -20,7 +20,7 @@
 if(DEFINED STATIC_LIBRARY)
     message(FATAL_ERROR "Use the BUILD_SHARED_LIBS=OFF option to build a static library, STATIC_LIBRARY is no longer a supported option")
 endif()
-find_package(ECM 6.20.0 REQUIRED NO_MODULE)
+find_package(ECM 6.21.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 if (NOT ${BUILD_SHARED_LIBS})

=== src/templates/CMakeLists.txt ===

add_library(KirigamiTemplates)
ecm_add_qml_module(KirigamiTemplates URI "org.kde.kirigami.templates"
    VERSION 2.0
    GENERATE_PLUGIN_SOURCE
    INSTALLED_PLUGIN_TARGET KF6KirigamiTemplates
)

set_source_files_properties(AppHeaderSizeGroup.qml PROPERTIES
    QT_QML_SINGLETON_TYPE TRUE
)

ecm_target_qml_sources(KirigamiTemplates SOURCES
    AbstractApplicationHeader.qml
    AbstractCard.qml
    AppHeaderSizeGroup.qml
    Chip.qml
    InlineMessage.qml
    OverlayDrawer.qml
    OverlaySheet.qml
)

ecm_target_qml_sources(KirigamiTemplates PRIVATE PATH private SOURCES
    private/BorderPropertiesGroup.qml
    private/DrawerHandle.qml
    private/PassiveNotificationsManager.qml
)

set_target_properties(KirigamiTemplates PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   6
    EXPORT_NAME "KirigamiTemplates"
)

target_include_directories(KirigamiTemplates PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/..)


ecm_finalize_qml_module(KirigamiTemplates EXPORT KirigamiTargets)

install(TARGETS KirigamiTemplates EXPORT KirigamiTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kf6-kirigami (6.21.0-0ubuntu2) resolute; urgency=medium

  * Backport upstream patch requested by KDE devs.
    https://mail.kde.org/pipermail/distributions/2025-December/001651.html

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Dec 2025 14:05:11 +0000

kf6-kirigami (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:51:55 +0000

kf6-kirigami (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:14:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kirigami
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -10,20 +11,20 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-base-private-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.8.0~),
-               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
                qt6-shadertools-dev (>= 6.8.0~),
                qt6-svg-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kirigami
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kirigami
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kirigami.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kirigami
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kirigami
 Rules-Requires-Root: no
 
 Package: libkirigami-data
@@ -49,17 +50,10 @@
 Architecture: any
 Depends: libkirigami6 (= ${binary:Version}),
          libkirigamidelegates6 (= ${binary:Version}),
-         libkirigamidialogs6 (= ${binary:Version}),
-         libkirigamilayouts6 (= ${binary:Version}),
-         libkirigamilayoutsprivate6 (= ${binary:Version}),
          libkirigamiplatform6 (= ${binary:Version}),
-         libkirigamipolyfill6 (= ${binary:Version}),
-         libkirigamiprimitives6 (= ${binary:Version}),
-         libkirigamiprivate6 (= ${binary:Version}),
-         libkirigamitemplates6 (= ${binary:Version}),
          qml6-module-org-kde-kirigami (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
-         qt6-declarative-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-declarative-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkirigami-doc (>= ${source:Version}),
 Description: set of QtQuick components targeted for mobile use (development)
@@ -264,3 +258,6 @@
 Description: set of QtQuick components targeted for mobile use
  Kirigami is a set of QtQuick components at the moment targeted for
  mobile use (in the future desktop as well) targeting both Plasma
+ Mobile and Android. A set of high level components to make the
+ creation of applications that look and feel great on mobile as well
+ as desktop devices and follow the Kirigami Human Interface

## kf6-kirigami 6.21.0+p24.04+vstable+git20251228.0029

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 
 project(kirigami2 VERSION ${KF_VERSION})
@@ -125,7 +125,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.2
-    KF 6.19.0
+    KF 6.21.0
 )
 
 if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")

## kf6-kirigami 6.21.0+p24.04+vstable+git20260103.0111

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 
 project(kirigami2 VERSION ${KF_VERSION})
 
@@ -20,7 +20,7 @@
 if(DEFINED STATIC_LIBRARY)
     message(FATAL_ERROR "Use the BUILD_SHARED_LIBS=OFF option to build a static library, STATIC_LIBRARY is no longer a supported option")
 endif()
-find_package(ECM 6.21.0 REQUIRED NO_MODULE)
+find_package(ECM 6.22.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 if (NOT ${BUILD_SHARED_LIBS})

## kf6-kirigami 6.21.0+p24.04+vunstable+git20251209.0219

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 
 project(kirigami2 VERSION ${KF_VERSION})
 
@@ -20,7 +20,7 @@
 if(DEFINED STATIC_LIBRARY)
     message(FATAL_ERROR "Use the BUILD_SHARED_LIBS=OFF option to build a static library, STATIC_LIBRARY is no longer a supported option")
 endif()
-find_package(ECM 6.22.0 REQUIRED NO_MODULE)
+find_package(ECM 6.21.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 if (NOT ${BUILD_SHARED_LIBS})
@@ -125,7 +125,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.2
-    KF 6.21.0
+    KF 6.19.0
 )
 
 if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")

=== debian/changelog ===
kf6-kirigami (6.21.0+p24.04+vunstable+git20251209.0219-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 02:20:00 +0000

kf6-kirigami (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:11:59 +1000

## kf6-kirigami 6.22.0

=== debian/changelog ===
kf6-kirigami (6.22.0-0zneon+24.04+noble+release+build47) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 08:40:08 +0000

kf6-kirigami (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:43:32 +1000

## kf6-kirigami 6.22.0a

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 
 project(kirigami2 VERSION ${KF_VERSION})
 
@@ -20,7 +20,7 @@
 if(DEFINED STATIC_LIBRARY)
     message(FATAL_ERROR "Use the BUILD_SHARED_LIBS=OFF option to build a static library, STATIC_LIBRARY is no longer a supported option")
 endif()
-find_package(ECM 6.21.0 REQUIRED NO_MODULE)
+find_package(ECM 6.22.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 if (NOT ${BUILD_SHARED_LIBS})
@@ -125,7 +125,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.2
-    KF 6.19.0
+    KF 6.21.0
 )
 
 if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")

=== src/CMakeLists.txt ===
add_subdirectory(platform)
add_subdirectory(primitives)
add_subdirectory(delegates)
add_subdirectory(dialogs)
add_subdirectory(layouts)
add_subdirectory(polyfill)
add_subdirectory(templates)

add_library(Kirigami)
add_library(KF6::Kirigami ALIAS Kirigami)

# On Windows Kirigami apparently adds too many sources so on Windows we end
# up running into command line length limits. So disable cache
# generation on Windows for now.
# On Qt 6.7.2 cachegen is causing https://bugs.kde.org/show_bug.cgi?id=488326
# investigate if future versions fix it and we can re-enable it
if (NOT ANDROID)
    set(_extra_options NO_CACHEGEN)
endif()
if (BUILD_SHARED_LIBS)
    set(_extra_options ${_extra_options} NO_PLUGIN_OPTIONAL)
endif()
if (ANDROID OR NOT BUILD_SHARED_LIBS)
    set(_extra_options ${_extra_options} OPTIONAL_IMPORTS org.kde.breeze)
endif()

# Module: org.kde.kirigami.private

add_library(KirigamiPrivate)
ecm_add_qml_module(KirigamiPrivate
    URI "org.kde.kirigami.private"
    GENERATE_PLUGIN_SOURCE
    INSTALLED_PLUGIN_TARGET KF6KirigamiPrivateplugin
)

set_target_properties(KirigamiPrivate PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   6
    EXPORT_NAME "KirigamiPrivate"
)

target_sources(KirigamiPrivate PRIVATE
    copyhelper.cpp
    copyhelper.h
    actionhelper.cpp
    actionhelper.h
)

target_link_libraries(KirigamiPrivate PRIVATE Qt6::Gui)

ecm_finalize_qml_module(KirigamiPrivate DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiTargets)

install(TARGETS KirigamiPrivate EXPORT KirigamiTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

# Module: org.kde.kirigami

ecm_add_qml_module(Kirigami URI "org.kde.kirigami" VERSION 2.0
    CLASS_NAME KirigamiPlugin
    INSTALLED_PLUGIN_TARGET KF6Kirigamiplugin
    DEPENDENCIES
    "QtQuick.Controls"
    "org.kde.kirigami.private"
    "org.kde.kirigami.private.polyfill"
    IMPORTS
    "org.kde.kirigami.platform"
    "org.kde.kirigami.primitives"
    "org.kde.kirigami.delegates"
    "org.kde.kirigami.dialogs"
    "org.kde.kirigami.layouts"
    ${_extra_options}
)

ecm_create_qm_loader(kirigami_QM_LOADER libkirigami6_qt)
target_sources(Kirigami PRIVATE ${kirigami_QM_LOADER})

ecm_qt_declare_logging_category(Kirigami
    HEADER loggingcategory.h
    IDENTIFIER KirigamiLog
    CATEGORY_NAME kf.kirigami
    DESCRIPTION "Kirigami"
    DEFAULT_SEVERITY Warning
    EXPORT KIRIGAMI
)

set_target_properties(Kirigami PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   6
    EXPORT_NAME "Kirigami"
)

target_include_directories(Kirigami PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/platform
    ${CMAKE_CURRENT_BINARY_DIR}/platform
)

target_sources(Kirigami PRIVATE
    enums.h
    imagecolors.cpp
    imagecolors.h
    mnemonicattached.cpp
    mnemonicattached.h
    overlayzstackingattached.cpp
    overlayzstackingattached.h
    pagepool.cpp
    pagepool.h
    scenepositionattached.cpp
    scenepositionattached.h
    spellcheckattached.cpp
    spellcheckattached.h
    wheelhandler.cpp
    wheelhandler.h
)

target_sources(Kirigamiplugin PRIVATE
    kirigamiplugin.cpp
    kirigamiplugin.h
)

ecm_target_qml_sources(Kirigami SOURCES
    controls/Action.qml
    controls/AbstractApplicationHeader.qml
    controls/AbstractApplicationWindow.qml
    controls/ApplicationWindow.qml
    controls/OverlayDrawer.qml
    controls/ContextDrawer.qml
    controls/GlobalDrawer.qml
    controls/Heading.qml
    controls/PageRow.qml
    controls/OverlaySheet.qml
    controls/Page.qml
    controls/ScrollablePage.qml
    controls/SwipeListItem.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.1 SOURCES
    controls/AbstractApplicationItem.qml
    controls/ApplicationItem.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.4 SOURCES
    controls/AbstractCard.qml
    controls/Card.qml
    controls/CardsListView.qml
    controls/CardsLayout.qml
    controls/InlineMessage.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.5 SOURCES
    controls/ListItemDragHandle.qml
    controls/ActionToolBar.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.6 SOURCES
    controls/AboutPage.qml
    controls/LinkButton.qml
    controls/UrlButton.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.7 SOURCES
    controls/ActionTextField.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.8 SOURCES
    controls/SearchField.qml
    controls/PasswordField.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.10 SOURCES
    controls/ListSectionHeader.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.11 SOURCES
    controls/PagePoolAction.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.12 SOURCES
    controls/PlaceholderMessage.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.14 SOURCES
    controls/FlexColumn.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.19 SOURCES
    controls/AboutItem.qml
    controls/NavigationTabBar.qml
    controls/NavigationTabButton.qml
    controls/Chip.qml
    controls/LoadingPlaceholder.qml
)

ecm_target_qml_sources(Kirigami VERSION 2.20 SOURCES
    controls/SelectableLabel.qml
    controls/InlineViewHeader.qml
    controls/ContextualHelpButton.qml
)

ecm_target_qml_sources(Kirigami PRIVATE PATH private SOURCES
    controls/private/ActionMenuItem.qml
    controls/private/ActionsMenu.qml
    controls/private/BannerImage.qml
    controls/private/ContextDrawerActionItem.qml
    controls/private/DefaultCardBackground.qml
    controls/private/DefaultChipBackground.qml
    controls/private/DefaultPageTitleDelegate.qml
    controls/private/EdgeShadow.qml
    controls/private/GlobalDrawerActionItem.qml
    controls/private/MobileDialogLayer.qml
    controls/private/PrivateActionToolButton.qml
    controls/private/PullDownIndicator.qml
    controls/private/SwipeItemEventFilter.qml
)

ecm_target_qml_sources(Kirigami PRIVATE PATH private/globaltoolbar SOURCES
    controls/private/globaltoolbar/BreadcrumbControl.qml
    controls/private/globaltoolbar/HandleButton.qml
    controls/private/globaltoolbar/NavigationButtons.qml
    controls/private/globaltoolbar/PageRowGlobalToolBarStyleGroup.qml
    controls/private/globaltoolbar/PageRowGlobalToolBarUI.qml
    controls/private/globaltoolbar/ToolBarPageHeader.qml
    controls/private/globaltoolbar/ToolBarPageFooter.qml
)

qt_target_qml_sources(Kirigami RESOURCES
    styles/Material/InlineMessage.qml
    styles/Material/Theme.qml
    OUTPUT_TARGETS _out_targets_1
)

if (DESKTOP_ENABLED)
    qt_target_qml_sources(Kirigami RESOURCES
        styles/org.kde.desktop/AbstractApplicationHeader.qml
        styles/org.kde.desktop/Theme.qml
        OUTPUT_TARGETS _out_targets_2
    )
endif()

target_link_libraries(Kirigami
    PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    Qt6::Quick
    PRIVATE
    Qt6::Concurrent
    ${Kirigami_EXTRA_LIBS}
)

if (HAVE_OpenMP)
    target_link_libraries(Kirigami PRIVATE OpenMP::OpenMP_CXX)
endif()

if (NOT BUILD_SHARED_LIBS)
    # Ensure we install the plugin library file as that's required to link
    # against for static builds to work properly
    target_link_libraries(Kirigamiplugin
        PRIVATE
            KirigamiPlatformplugin
            KirigamiDelegatesplugin
            KirigamiPrimitivesplugin
            KirigamiDialogsplugin
            KirigamiLayoutsplugin
            KirigamiLayoutsPrivateplugin
            KirigamiPrivateplugin
            KirigamiTemplatesplugin
    )
    # for tests to find this under the name it's actually installed with'
    add_library(KF6Kirigamiplugin ALIAS Kirigamiplugin)
else()
    target_link_libraries(Kirigami
        PUBLIC
            KirigamiPlatform
        PRIVATE
            KirigamiDelegates
            KirigamiPrimitives
            KirigamiDialogs
            KirigamiLayouts
            KirigamiPrivate
            KirigamiTemplates
    )
endif()

install(TARGETS Kirigami ${_out_targets_1} ${_out_targets_2} EXPORT KirigamiTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
install(EXPORT KirigamiTargets
    DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Kirigami
    FILE KF6KirigamiTargets.cmake
    NAMESPACE KF6
)

ecm_finalize_qml_module(Kirigami DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiTargets)

if (ANDROID)
    install(FILES Kirigami-android-dependencies.xml
        DESTINATION ${KDE_INSTALL_LIBDIR}
        RENAME Kirigami_${CMAKE_ANDROID_ARCH_ABI}-android-dependencies.xml
    )
endif()

ecm_qt_install_logging_categories(
    EXPORT KIRIGAMI
    FILE kirigami.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ecm_generate_qdoc(Kirigami kirigami.qdocconf)

=== src/delegates/CMakeLists.txt ===

add_library(KirigamiDelegates)
ecm_add_qml_module(KirigamiDelegates URI "org.kde.kirigami.delegates"
    GENERATE_PLUGIN_SOURCE
    INSTALLED_PLUGIN_TARGET KF6KirigamiDelegates
    DEPENDENCIES QtQuick org.kde.kirigami.platform org.kde.kirigami.primitives
)

ecm_target_qml_sources(KirigamiDelegates SOURCES
    IconTitleSubtitle.qml
    TitleSubtitle.qml
    TitleSubtitleWithActions.qml

    SubtitleDelegate.qml
    CheckSubtitleDelegate.qml
    RadioSubtitleDelegate.qml
    SwitchSubtitleDelegate.qml
)

set_target_properties(KirigamiDelegates PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   6
    EXPORT_NAME "KirigamiDelegates"
)

ecm_finalize_qml_module(KirigamiDelegates EXPORT KirigamiTargets)

install(TARGETS KirigamiDelegates EXPORT KirigamiTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kf6-kirigami (6.22.0a-0ubuntu1) resolute; urgency=medium

  * Bump tarball version for upstream respin.

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Jan 2026 23:46:02 +0000

kf6-kirigami (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)
  * Drop included upstream patches.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:31:07 +0000

kf6-kirigami (6.21.0-0ubuntu3) resolute; urgency=medium

  * Also add requested upstream_commit-50e6e5b1.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 19 Dec 2025 13:46:37 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.8.0+dfsg~),

## kf6-kirigami 6.22.0+p24.04+vstable+git20260126.1149

=== debian/changelog ===
kf6-kirigami (6.22.0+p24.04+vstable+git20260126.1149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 11:49:44 +0000
